FS_QUOTA(1)

NAME
fs_quota - Displays the quota used in the volume containing a directory or file

SYNOPSIS
fs quota [B<-path> <I<dir/file path>>+] [-help]

fs q [B<-p> <I<dir/file path>>+] [-h]

DESCRIPTION
The fs quota command displays the percent of quota consumed in the volume that contains each specified directory or file.

To display more detailed information about the volume and the partition it resides on, use the fs examine and fs listquota commands.

To set volume quota, use the fs setquota or fs setvol command.

CAUTIONS
Currently, the maximum quota for a volume is 2 terabytes (2^41 bytes). Note that this only affects the volume's quota; a volume may grow much larger if the volume quota is disabled. However, volumes over 2 terabytes in size may be impractical to move, and may have their size incorrectly reported by some tools, such as fs_listquota(1).

OPTIONS

-path <dir/file path>
    Names each file or directory for which to display the quota consumed in its parent volume. Partial pathnames are interpreted relative to the current working directory, which is also the default value if this argument is omitted.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output reports the percent of volume quota used, in the following format:

   <percent>% of quota used.

EXAMPLES
The following command lists the percent quota used of the volume housing the current working directory:

   % fs quota
   17% of quota used.

The following command lists the percent quota used of both the volume housing the current working directory's parent directory and the volume housing the directory /afs/abc.com/usr/smith:

   % fs quota -path .. /afs/abc.com/usr/smith
   43% of quota used.
   92% of quota used.

PRIVILEGE REQUIRED
The issuer must have the "r" (read) permission on the ACL of the root directory of the volume that houses the file or directory named by the -path argument, and "l" (list) permission on the ACL of each directory that precedes it in the pathname.

SEE ALSO
fs_examine(1), fs_listquota(1), fs_setquota(1), fs_setvol(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.